*** 6502/regular/core.cpp	Mon Feb 17 16:35:09 2003
--- 6502/regular/core.cpp	Mon Feb 17 16:37:49 2003
***************
*** 77,83 ****
  	LD_NEG(mdr&NMOS6502FLAG_N);
  
  #define ora()	a |= mdr; set_nz(a);
! #define and()	a &= mdr; set_nz(a);
  #define eor()	a ^= mdr; set_nz(a);
  #define dec(v)	v--; set_nz(v);
  #define inc(v)	v++; set_nz(v);
--- 77,83 ----
  	LD_NEG(mdr&NMOS6502FLAG_N);
  
  #define ora()	a |= mdr; set_nz(a);
! #define and_()	a &= mdr; set_nz(a);
  #define eor()	a ^= mdr; set_nz(a);
  #define dec(v)	v--; set_nz(v);
  #define inc(v)	v++; set_nz(v);
***************
*** 359,400 ****
  
  			case 0x29 : //AND immediate
  				set_immediate();
! 				and();
  			break;
  
  			case 0x25 : //AND zero
  				set_zero_read();
! 				and();
  			break;
  
  			case 0x35 : //AND zero,x
  				set_zero_i_read(x);
! 				and();
  			break;
  
  			case 0x2d : //AND absolute
  				set_absolute_read();
! 				and();
  			break;
  
  			case 0x3d : //AND absolute, x
  				set_absolute_i_read(x);
! 				and();
  			break;
  
  			case 0x39 : //AND absolute, y
  				set_absolute_i_read(y);
! 				and();
  			break;
  
  			case 0x21 : //AND (zero, x)
  				set_b_zero_i_b_read(x);
! 				and();
  			break;
  
  			case 0x31 : //AND (zero), y
  				set_b_zero_b_i_read(y);
! 				and();
  			break;
  
  
--- 359,400 ----
  
  			case 0x29 : //AND immediate
  				set_immediate();
! 				and_();
  			break;
  
  			case 0x25 : //AND zero
  				set_zero_read();
! 				and_();
  			break;
  
  			case 0x35 : //AND zero,x
  				set_zero_i_read(x);
! 				and_();
  			break;
  
  			case 0x2d : //AND absolute
  				set_absolute_read();
! 				and_();
  			break;
  
  			case 0x3d : //AND absolute, x
  				set_absolute_i_read(x);
! 				and_();
  			break;
  
  			case 0x39 : //AND absolute, y
  				set_absolute_i_read(y);
! 				and_();
  			break;
  
  			case 0x21 : //AND (zero, x)
  				set_b_zero_i_b_read(x);
! 				and_();
  			break;
  
  			case 0x31 : //AND (zero), y
  				set_b_zero_b_i_read(y);
! 				and_();
  			break;
  
  
***************
*** 1414,1420 ****
  }
  
  #undef eor
! #undef and
  #undef ora
  
  #undef cp
--- 1414,1420 ----
  }
  
  #undef eor
! #undef and_
  #undef ora
  
  #undef cp
***************
*** 1477,1480 ****
  #undef ZeroRead
  #undef ZeroWrite
  #undef Read
! #undef Write
\ No newline at end of file
--- 1477,1480 ----
  #undef ZeroRead
  #undef ZeroWrite
  #undef Read
! #undef Write
