*** 6502/wide/wcore.cpp	Mon Feb 17 16:36:35 2003
--- 6502/wide/wcore.cpp	Mon Feb 17 16:38:00 2003
***************
*** 121,127 ****
  	LD_NEG(mdr&NMOS6502FLAG_N);
  
  #define ora()	aBig |= mdrBig; a |= mdr; set_nz(a);
! #define and()	aBig &= mdrBig; a &= mdr; set_nz(a);
  #define eor()	aBig ^= mdrBig; a ^= mdr; set_nz(a);
  #define dec(v)	v--; set_nz(v);
  #define inc(v)	v++; set_nz(v);
--- 121,127 ----
  	LD_NEG(mdr&NMOS6502FLAG_N);
  
  #define ora()	aBig |= mdrBig; a |= mdr; set_nz(a);
! #define and_()	aBig &= mdrBig; a &= mdr; set_nz(a);
  #define eor()	aBig ^= mdrBig; a ^= mdr; set_nz(a);
  #define dec(v)	v--; set_nz(v);
  #define inc(v)	v++; set_nz(v);
***************
*** 396,437 ****
  
  			case 0x29 : //AND immediate
  				set_immediate_w();
! 				and();
  			break;
  
  			case 0x25 : //AND zero
  				set_zero_read_w();
! 				and();
  			break;
  
  			case 0x35 : //AND zero,x
  				set_zero_i_read_w(x);
! 				and();
  			break;
  
  			case 0x2d : //AND absolute
  				set_absolute_read_w();
! 				and();
  			break;
  
  			case 0x3d : //AND absolute, x
  				set_absolute_i_read_w(x);
! 				and();
  			break;
  
  			case 0x39 : //AND absolute, y
  				set_absolute_i_read_w(y);
! 				and();
  			break;
  
  			case 0x21 : //AND (zero, x)
  				set_b_zero_i_b_read_w(x);
! 				and();
  			break;
  
  			case 0x31 : //AND (zero), y
  				set_b_zero_b_i_read_w(y);
! 				and();
  			break;
  
  
--- 396,437 ----
  
  			case 0x29 : //AND immediate
  				set_immediate_w();
! 				and_();
  			break;
  
  			case 0x25 : //AND zero
  				set_zero_read_w();
! 				and_();
  			break;
  
  			case 0x35 : //AND zero,x
  				set_zero_i_read_w(x);
! 				and_();
  			break;
  
  			case 0x2d : //AND absolute
  				set_absolute_read_w();
! 				and_();
  			break;
  
  			case 0x3d : //AND absolute, x
  				set_absolute_i_read_w(x);
! 				and_();
  			break;
  
  			case 0x39 : //AND absolute, y
  				set_absolute_i_read_w(y);
! 				and_();
  			break;
  
  			case 0x21 : //AND (zero, x)
  				set_b_zero_i_b_read_w(x);
! 				and_();
  			break;
  
  			case 0x31 : //AND (zero), y
  				set_b_zero_b_i_read_w(y);
! 				and_();
  			break;
  
  
***************
*** 1098,1104 ****
  				set_absolute_modify();
  				ReadWide(mar, mdr, mdrBig);
  				rol(mdr, mdrBig);
! 				and();
  				WriteWide(mar, mdr, mdrBig);
  			break;*/
  
--- 1098,1104 ----
  				set_absolute_modify();
  				ReadWide(mar, mdr, mdrBig);
  				rol(mdr, mdrBig);
! 				and_();
  				WriteWide(mar, mdr, mdrBig);
  			break;*/
  
***************
*** 1221,1227 ****
  }
  
  #undef eor
! #undef and
  #undef ora
  
  #undef cp
--- 1221,1227 ----
  }
  
  #undef eor
! #undef and_
  #undef ora
  
  #undef cp
***************
*** 1284,1287 ****
  #undef ZeroRead
  #undef ZeroWrite
  #undef Read
! #undef Write
\ No newline at end of file
--- 1284,1287 ----
  #undef ZeroRead
  #undef ZeroWrite
  #undef Read
! #undef Write
