#!/usr/bin/env python

import os, string

def fixnames(d):

	"Fix filenames in the directory 'd'."

	print "Fixing", d
	names = os.listdir(d)

	for name in names:
		nd = os.path.join(d, name)
		components = string.split(name, ".")

		if components[-1] == "CPP" or components[-1] == "H":
			print "Changing", nd
			os.system("mv %s %s" % (nd,
				os.path.join(d, string.lower(name))))
		else:
			if os.path.isdir(nd):
				fixnames(nd)

if __name__ == "__main__":

	# Fix the current directory by default.

	import sys

	if len(sys.argv) < 2:
		fixnames(".")
	else:
		fixnames(sys.argv[1])
